<!DOCTYPE html>
<!--By Brandon P. Olynyk & Tony Nguyen-->
<html>
    <head>
        <meta charset="utf-8">
        <title>Project 1</title>

        <link rel="stylesheet" href="../styles/page.css">
        <link rel="stylesheet" href="../styles/formStyle.css">
        <script src="../js/utilities.js"></script>      
        <script src="../js/manage_projects.js"></script>
        <script src="../js/main_program.js"></script>

    </head>

    <body>
        <header>420-320 Project 1 - Academic Project Management</header>
        <section id="main-contianer">
            
            <!--Section used for the initial fields to enter info-->
            <section id="top-section">
                <form onsubmit="return false">
                    <fieldset>                   
                        <legend>Fill In All Required Fields</legend>
                        
                        <section id="field-column-1">
                            <div>
                                <label>Project ID: </label>
                                <input type="text" name="proj-id" id="proj-id" value="" 
                                minlength="3" maxlength="10"
                                >
                                <img src="../images/checkmark.gif" id="proj-id-valid" class="input-image">
                                
                            </div>
                                <div><label class="input-error" id="proj-id-error">WRONG FORMAT FOR proj-id</label></div>
                            <div>
                                <label>Owner Name: </label>
                                <input type="text" name="owner-name" id="owner-name" value=""
                                minlength="3" maxlength="10">
                                <img src="../images/checkmark.gif" id="owner-name-valid" class="input-image">
                            </div>
                                <div><label class="input-error" id="owner-name-error">WRONG FORMAT FOR owner-name</label></div>
                            
                        </section>

                        <section id="field-column-2">
                            <div>
                                <label>Title: </label>
                                <input type="text" name="title" id="title" value="" min="3" max="25">
                                <img src="../images/checkmark.gif" id="title-valid" class="input-image">
                            </div>
                                <div><label class="input-error" id="title-error">WRONG FORMAT FOR title</label></div>
                            <div>
                                <label>Category: </label>
                                <select name="category" id="category">
                                    <option value="theory">Theory</option>
                                    <option value="practical">Practical</option>
                                    <option value="fund_res">Fundamental Research</option>
                                    <option value="empirical">Empirical</option>
                                </select>
                                <img src="../images/checkmark.gif" id="category-valid" class="input-image">
                            </div>
                            
                        </section>
                        <section id="field-column-3">
                            <div>
                                <label>Hours: </label>
                                <input type="text" name="hours" id="hours" value="0">
                                <img src="../images/checkmark.gif" id="hours-valid" class="input-image">
                            </div>
                                <div><label class="input-error" id="hours-error">WRONG FORMAT FOR hours</label></div>
                            <div>
                                <label>Rate: </label>
                                <input type="text" name="rate" id="rate" value="0">
                                <img src="../images/checkmark.gif" id="rate-valid" class="input-image">
                            </div>
                                <div><label class="input-error" id="rate-error">WRONG FORMAT FOR rate</label></div>

                            <div>
                                <label>Status: </label>
                                <select name="status" id="status">
                                    <option value="completed">Completed</option>
                                    <option value="ongoing">Ongoing</option>
                                    <option value="planned">Planned</option>
                                </select>
                                <img src="../images/checkmark.gif" id="status-valid" class="input-image">
                            </div>

                        </section>
                        <section id="field-column-4">
                            <div>
                                <label>Short Description: </label>
                                <textarea id="proj-desc" minlength="3" maxlength="65"></textarea>
                                <img src="../images/checkmark.gif" id="proj-desc-valid" class="input-image">
                            </div>
                            <div><label class="input-error" id="proj-desc-error">WRONG FORMAT FOR rate</label></div>
                        </section>

                    </fieldset>

                    <section id="field-buttons">
                        <button type="button" id="add-button" disabled="true">Add</button>
                        <button type="button" id="reset-button">Reset</button>
                    </section>
                    
                </form>
            </section>

            <!--Section for the bottom table and the buttons to save data-->
            <section id="bottom-section">
                <form id="bottom-section-form" onsubmit="return false">
                    <section id="save-buttons">
                        <button type="button" id="save-local">Write (save) local</button>
                        <button type="button" id="append-local">Append local</button>
                        <button type="button" id="clear-local">Clear local</button>
                        <button type="button" id="load-local">Load (read) local</button>
                        
                    </section>   
                    <button type="button" id="sort-type-button">Sort by: None</button>
                    <input type="text" name="search-bar" placeholder="Please enter your querry here..." id="search-bar" value="">
                </form>
                    
                <section id="table-section">
                    <p id="search-message"></p>
                    <section id="table-render-space">
                        <!--Table will be rendered here via funny js-->
    
                    </section>
                </section>
                   
                </section>
        </section>

        <footer>
            <p>Brandon P. Olynyk, 2142086, Section 1, copyright Fall 2022</p>
            <p>Tony Nguyen, 2131853, Section 1, copyright Fall 2022</p>
        </footer>
    </body>
</html>